# Retrieve a beneficiary

Retrieves details of a beneficiary.

Endpoint: GET /beneficiaries/{id}
Version: 1.0.0
Security: JWT

## Path parameters:

  - `id` (string, required)
    The ID of the beneficiary

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier for the beneficiary.
    Example: bene_5JU9yv0lGSUP

  - `holder_name` (string)
    The name of the beneficiary.
    Example: Test Arts & Crafts Pvt Ltd

  - `account_number` (string)
    The account number of the beneficiary.
    Example: 1234567890

  - `bank_name` (string)
    The name of the bank where the account is held.
    Example: Yes Bank

  - `beneficiary_type` (string)
    The type of beneficiary
    Enum: "individual", "business"

  - `bic_primary` (string)
    The primary BIC of the bank account. This is the BIC of the bank where the account is held. This is also known as the SWIFT code.
    Example: QWERIN000

  - `bic_secondary` (string)
    The `local routing code` or `domestic clearing code` of the bank account. For reference, this is the `IFSC` code in India, `SORT` in UK, `ABA` in the US, etc.
    Example: YESB0000002

  - `email` (string)
    The email address of the beneficiary.
    Example: prabhat+beneficiaryArt@glomopay.com

  - `address_line1` (string)
    The street address of the beneficiary.
    Example: 123 Main St

  - `address_line2` (string)
    The second line of street address of the beneficiary.
    Example: Near Apts

  - `city` (string)
    The city where the beneficiary is located.
    Example: Anytown

  - `state` (string)
    The state where the beneficiary is located.
    Example: Anystate

  - `country` (string)
    The country where the beneficiary is located. Country should be sent as a [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) code.
    Example: Ind

  - `pincode` (string)
    The postal code of the beneficiary's address.
    Example: 560048

  - `nickname` (string)
    A nickname for the beneficiary.
    Example: Test Beneficiary

  - `intermediate_bank_name` (string)
    The name of the intermediate bank, if any.
    Example: Intermediate Bank

  - `intermediate_bank_country` (string)
    The country of the intermediate bank, if any. Country should be sent as a [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) code.
    Example: IND

  - `intermediate_bank_swift_code` (string)
    The SWIFT code of the intermediate bank, if any.
    Example: INTBANKSWIFT

  - `created_at` (string)
    Timestamp representing when the beneficiary was created
    Example: 2021-06-01T12:00:00Z

  - `updated_at` (string)
    Timestamp representing when the beneficiary was last updated
    Example: 2021-06-01T12:00:00Z

## Response 404 fields (application/json):

  - `error` (string)
    Enum: "Not found"

  - `message` (string)
    Entity not found
    Enum: "Entity not found"

